apptainer(1)

NAME

apptainer-oci-create - Create a container from a bundle directory (root user only)

SYNOPSIS

apptainer oci create -b [create options...]

DESCRIPTION

Create invoke create operation to create a container instance from an OCI
  bundle directory

OPTIONS

-b, --bundle=""
    specify the OCI bundle path (required)

--empty-process[=false]
    run container without executing container process (eg: for POD container)

-h, --help[=false]
    help for create

--log-format="kubernetes"
    specify the log file format. Available formats are basic, kubernetes and json

-l, --log-path=""
    specify the log file path

--pid-file=""
    specify the pid file

-s, --sync-socket=""
    specify the path to unix socket for state synchronization

EXAMPLE

      $ apptainer oci create -b ~/bundle mycontainer

SEE ALSO

apptainer-oci(1)

HISTORY

29-Jul-2023 Auto generated by spf13/cobra